package com.zcloud.mapper.dsno2.agency;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：代理人创建公司数量
 * 作者：luoxiaobao
 * 时间：2022-03-07
 * 官网：www.zcloudchina.com
 */
public interface AgentNumberMapper{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);


	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listRoleAgentAll(PageData pd);

	/**查询代理人所有分组可创建企业数
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getRoleAgentNumList(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findByRoleAgent(PageData pd);

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void deleteAll(String[] ArrayDATA_IDS);

	/**删除某代理所有剩余创建企业数
	 * @param pd
	 * @throws Exception
	 */
	void deleteByUser(PageData pd);

	/**剩余数量及删除状态
	 * @param pd
	 * @throws Exception
	 */
	void editNum(PageData pd);
}

